# Method: orders.create

- [HTTP request](https://developers.google.com/assistant/transactions/reference/physical/rest/v3/orders/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/assistant/transactions/reference/physical/rest/v3/orders/create#body.request_body)
  - [JSON representation](https://developers.google.com/assistant/transactions/reference/physical/rest/v3/orders/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/assistant/transactions/reference/physical/rest/v3/orders/create#body.response_body)

Creates an order and returns the new Order.

### HTTP request

`POST https://actions.googleapis.com/v3/orders`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "header": { object(`https://developers.google.com/assistant/transactions/reference/physical/rest/v3/OrderRequestHeader`) }, "order": { object(`https://developers.google.com/assistant/transactions/reference/physical/rest/v3/Order`) }, "userToken": string } ``` |

| Fields ||
|---|---|
| `header` | ``object(`https://developers.google.com/assistant/transactions/reference/physical/rest/v3/OrderRequestHeader`)`` Header for the create order request. |
| `order` | ``object(`https://developers.google.com/assistant/transactions/reference/physical/rest/v3/Order`)`` Order to be created. |
| `userToken` | `string (https://developers.google.com/discovery/v1/type-format format)` Encrypted token used to uniquely identify a particular {user, partner} pair. A base64-encoded string. <br /> |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/assistant/transactions/reference/physical/rest/v3/Order`.